Subject: bug#64791: 30.0.50; [PATCH] Fix dired mismatch on some filenames

From: Stefan Kangas <[email-masked]>
Date: Tue, 5 Sep 2023 15:43:21 -0700

Stefan Kangas <[email-masked]> writes:

>> So I once again suggest to make this a defcustom.  This has two
>> advantages:
>>
>>  . it will be evaluated at Emacs startup, not at dump time
>
> Agreed.  Let's change it into a defcustom.
>
>>  . it will allow users to customize the value and thus avoid costly
>>    search  for the program and prevent finding the wrong version of
>>    'ls'
>
> Perhaps this part is okay though, given that the search should only
> affect users on macOS and *BSD (who presumably will want this anyways)?
>
> Proposed patch attached.

This doesn't work either, as it's also evaluated at dump time.
I guess we'd have to set it in something like `normal-top-level'.